import React from "react";
import { Alert, AlertTitle } from "@mui/material";
import { getStyles } from "../styles";
import { useTranslation } from "react-i18next";
import { useTheme } from "@mui/material/styles";

export default function GuestAnnouncement() {
  const { t } = useTranslation();
  const theme = useTheme();
  const styles = getStyles(theme);

  return (
    <div style={styles.alert}>
      <Alert variant="outlined" severity="warning">
        <AlertTitle>{t("Dashboard.Announcements.Guest.Title")}</AlertTitle>
        {t("Dashboard.Announcements.Guest.Message")}
      </Alert>
    </div>
  );
}
